Bug 783771 - Review Request: rubygem-session - Session drives external progams
Summary: Review Request: rubygem-session - Session drives external progams
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alejandro_Perez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-22 13:32 UTC by Guillermo Gómez
Modified: 2012-02-07 12:10 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-02-07 12:10:50 UTC
alejandro.perez.torres: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Guillermo Gómez 2012-01-22 13:32:02 UTC
Spec URL: http://gomix.fedorapeople.org/rubygem-session/rubygem-session.spec
SRPM URL: http://gomix.fedorapeople.org/rubygem-session/rubygem-session-3.1.0-1.fc16.src.rpm

Description: Session drives external progams
 
Session offers a set of classes built upon Open3::popen3 for driving
external progams via pipes.  It offers a significant abstraction over
Open3::popen in that the stdout/stderr of each command sent can be 
deliniated

$ rpmlint -v SPECS/rubygem-session.spec 
SPECS/rubygem-session.spec: I: checking-url http://rubygems.org/gems/session-3.1.0.gem (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint -v /var/lib/mock/fedora-16-x86_64/result/rubygem-session-3.1.0-1.fc16.noarch.rpm 
rubygem-session.noarch: I: checking
rubygem-session.noarch: W: spelling-error Summary(en_US) progams -> programs, program
rubygem-session.noarch: W: spelling-error %description -l en_US progams -> programs, program
rubygem-session.noarch: W: spelling-error %description -l en_US popen -> pope, open, popes
rubygem-session.noarch: W: spelling-error %description -l en_US stdout -> stout, std out, std-out
rubygem-session.noarch: W: spelling-error %description -l en_US stderr -> std err, std-err, stander
rubygem-session.noarch: W: spelling-error %description -l en_US deliniated -> delineated, delineate, desalinated
rubygem-session.noarch: I: checking-url http://github.com/ahoward/session/tree/master (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

$ rpmlint -v /var/lib/mock/fedora-16-x86_64/result/rubygem-session-doc-3.1.0-1.fc16.noarch.rpm 
rubygem-session-doc.noarch: I: checking
rubygem-session-doc.noarch: I: checking-url http://github.com/ahoward/session/tree/master (timeout 10 seconds)
rubygem-session-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/session-3.1.0/ri/Session/AbstractSession/ready%3f-i.yaml %3f
rubygem-session-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/session-3.1.0/ri/Session/AbstractSession/close%21-i.yaml %21
rubygem-session-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/session-3.1.0/ri/Session/Command/cmdno%3d-c.yaml %3d
rubygem-session-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/session-3.1.0/ri/Session/AbstractSession/path%3d-i.yaml %3d
rubygem-session-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/session-3.1.0/ri/Session/AbstractSession/default_prog%3d-c.yaml %3d
rubygem-session-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/session-3.1.0/ri/Session/Sh/path%3d-i.yaml %3d
rubygem-session-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/session-3.1.0/ri/Session/AbstractSession/track_history%3d-i.yaml %3d
rubygem-session-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/session-3.1.0/ri/Session/IDL/path%3d-i.yaml %3d
rubygem-session-doc.noarch: W: doc-file-dependency /usr/lib/ruby/gems/1.8/gems/session-3.1.0/sample/bash.rb /usr/bin/env
1 packages and 0 specfiles checked; 0 errors, 9 warnings.

Comment 1 Alejandro_Perez 2012-01-22 20:02:14 UTC
[!]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported architecture.
[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: The package did not built BR could therefore not be checked or the
     package failed to build because of missing BR
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5

Comment 2 Guillermo Gómez 2012-01-22 23:55:10 UTC
1. Package builds correctly for F16 (both archs): http://koji.fedoraproject.org/koji/taskinfo?taskID=3723632

2. There's no missing BR for F16, rawhide fails to build for unknown reason (it should work, i need to investigate further). mock builds ok too in my workstation (f16 x86_64).

3. No plan yet to support EPEL5

Thanks for reviewing

- Guillermo -

Comment 3 Alejandro_Perez 2012-01-23 00:56:17 UTC
Change spelling on Summary Session drives external progams -> Session drives external programs

Correct spelling on %description 

Session offers a set of classes built upon Open3::popen3 for driving
external progams via pipes.  It offers a significant abstraction over
Open3::popen in that the stdout/stderr of each command sent can be
deliniated

Session offers a set of classes built upon Open3::popen3 for driving
external programs via pipes.  It offers a significant abstraction over
Open3::popen in that the stdout/stderr of each command sent can be
delineated

Please address the issues above before import to git.
This package has been

APPROVED

Comment 4 Guillermo Gómez 2012-01-23 01:44:28 UTC
New Package SCM Request
=======================
Package Name: rubygem-session
Short Description:Session drives external progams 
Owners: gomix
Branches: f16 f15 el6 el5
InitialCC:

Comment 5 Gwyn Ciesla 2012-01-23 13:14:17 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.